org.keycloak.services.resources.admin

## Class ScopeMappedResource

- java.lang.Object
- - org.keycloak.services.resources.admin.ScopeMappedResource

-     public class ScopeMappedResource
      extends Object

  Base class for managing the scope mappings of a specific client (application or oauth).
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ClientModel` | `client`
    `protected RealmModel` | `realm`
    `protected KeycloakSession` | `session`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScopeMappedResource(RealmModel realm, RealmAuth auth, ClientModel client, KeycloakSession session)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRealmScopeMappings(List<RoleRepresentation> roles)` Add a set of realm-level roles to the client's scope
    `void` | `deleteRealmScopeMappings(List<RoleRepresentation> roles)` Remove a set of realm-level roles from the client's scope
    `ScopeMappedApplicationResource` | `getApplicationByIdScopeMappings(String appId)`
    `ScopeMappedApplicationResource` | `getApplicationScopeMappings(String appName)`
    `static List<RoleRepresentation>` | `getAvailable(ClientModel client, Set<RoleModel> roles)`
    `List<RoleRepresentation>` | `getAvailableRealmScopeMappings()` Get list of realm-level roles that are available to attach to this client's scope.
    `static List<RoleRepresentation>` | `getComposite(ClientModel client, Set<RoleModel> roles)`
    `List<RoleRepresentation>` | `getCompositeRealmScopeMappings()` Get all effective realm-level roles that are associated with this client's scope.
    `List<RoleRepresentation>` | `getRealmScopeMappings()` Get list of realm-level roles associated with this client's scope.
    `MappingsRepresentation` | `getScopeMappings()` Get all scope mappings for this client

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### realm

          protected RealmModel realm

    - #### client

          protected ClientModel client

    - #### session

          protected KeycloakSession session

  - ### Constructor Detail

    - #### ScopeMappedResource

          public ScopeMappedResource(RealmModel realm,
                             RealmAuth auth,
                             ClientModel client,
                             KeycloakSession session)

  - ### Method Detail

    - #### getScopeMappings

          @GET
          @Produces(value="application/json")
          public MappingsRepresentation getScopeMappings()

      Get all scope mappings for this client
      Returns:

    - #### getRealmScopeMappings

          @Path(value="realm")
          @GET
          @Produces(value="application/json")
          public List<RoleRepresentation> getRealmScopeMappings()

      Get list of realm-level roles associated with this client's scope.
      Returns:

    - #### getAvailableRealmScopeMappings

          @Path(value="realm/available")
          @GET
          @Produces(value="application/json")
          public List<RoleRepresentation> getAvailableRealmScopeMappings()

      Get list of realm-level roles that are available to attach to this client's scope.
      Returns:

    - #### getAvailable

          public static List<RoleRepresentation> getAvailable(ClientModel client,
                                              Set<RoleModel> roles)

    - #### getCompositeRealmScopeMappings

          @Path(value="realm/composite")
          @GET
          @Produces(value="application/json")
          public List<RoleRepresentation> getCompositeRealmScopeMappings()

      Get all effective realm-level roles that are associated with this client's scope. What this does is recurse any composite roles associated with the client's scope and adds the roles to this lists. The method is really to show a comprehensive total view of realm-level roles associated with the client.
      Returns:

    - #### getComposite

          public static List<RoleRepresentation> getComposite(ClientModel client,
                                              Set<RoleModel> roles)

    - #### addRealmScopeMappings

          @Path(value="realm")
          @POST
          @Consumes(value="application/json")
          public void addRealmScopeMappings(List<RoleRepresentation> roles)

      Add a set of realm-level roles to the client's scope
      Parameters:
        `roles` -

    - #### deleteRealmScopeMappings

          @Path(value="realm")
          @DELETE
          @Consumes(value="application/json")
          public void deleteRealmScopeMappings(List<RoleRepresentation> roles)

      Remove a set of realm-level roles from the client's scope
      Parameters:
        `roles` -

    - #### getApplicationScopeMappings

          @Path(value="applications/{app}")
          public ScopeMappedApplicationResource getApplicationScopeMappings(@PathParam(value="app")
                                                                        String appName)

    - #### getApplicationByIdScopeMappings

          @Path(value="applications-by-id/{appId}")
          public ScopeMappedApplicationResource getApplicationByIdScopeMappings(@PathParam(value="appId")
                                                                            String appId)

Copyright © 2014. All Rights Reserved.